Errors in the equo upgrade command [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Errors in the equo upgrade command [Solved]

Postby albfneto » Sat Sep 09, 2017 1:40

After the command for upgrade repos:

Code: Select all
equo up


magneto and RIGO shows updates, but using RIGO gives errors... When i tried this command:

Code: Select all
# equo u -av


These are the errors:

Code: Select all
Traceback (most recent call last):
  File "/usr/bin/equo", line 15, in <module>
    main()
  File "/usr/lib/entropy/client/solo/main.py", line 332, in main
    exit_st = func(*func_args)
  File "/usr/lib/entropy/client/solo/commands/command.py", line 435, in _call_shared
    return func(client)
  File "/usr/lib/entropy/client/solo/commands/upgrade.py", line 186, in _upgrade
    relaxed, multifetch)
  File "/usr/lib/entropy/client/solo/commands/upgrade.py", line 250, in _upgrade_action
    package_matches=update)
  File "/usr/lib/entropy/client/solo/commands/install.py", line 540, in _install_action
    onlydeps, bdeps, recursive)
  File "/usr/lib/entropy/client/solo/commands/_manage.py", line 489, in _generate_install_queue
    only_deps=onlydeps)
  File "/usr/lib/entropy/lib/entropy/client/misc.py", line 38, in wrapped
    return method(self, *args, **kwargs)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 3886, in get_install_queue
    build_deps = build, quiet = quiet, recursive = recursive)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 2267, in _get_required_packages
    ldpaths = ldpaths
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1464, in _generate_dependency_tree
    build_deps, elements_cache, ldpaths)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1100, in __generate_dependency_tree_inst_hooks
    pkg_match, installed_match[0], ldpaths)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1913, in _lookup_library_breakages
    installed_package_id, client_side)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 2065, in _lookup_library_breakages_installed
    needed, elfclass = elfclass)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 4228, in searchNeeded
    return self._cur2frozenset(cur)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 899, in _cur2frozenset
    for x in cur:
  File "/usr/lib/entropy/lib/entropy/db/sqlite.py", line 94, in next
    return self.wrap(self._cur.next)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 192, in wrap
    return self._proxy_call(method, *args, **kwargs)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 184, in _proxy_call
    raise DatabaseError(err)
DatabaseError: database disk image is malformed

Frame _proxy_call in /usr/lib/entropy/lib/entropy/db/sql.py at line 184
                   self = <entropy.db.sqlite.SQLiteCursorWrapper object at 0x7fbfe36ffa10>
                   args = ()
                 method = <method-wrapper 'next' of sqlite3.Cursor object at 0x7fbfeeb5d810>
                    err = DatabaseError('database disk image is malformed',)
                 kwargs = {}



I tried to reinstall the package sqlite but when i retried the "equo u" command, the errors are the same,
Last edited by albfneto on Thu Oct 19, 2017 17:29, edited 3 times in total.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1788
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Errors in the equo upgrade command.

Postby joost » Sat Sep 09, 2017 19:06

Code: Select all
 err = DatabaseError('database disk image is malformed',)


Your data on disk is damaged.
joost
Sagely Hen
 
Posts: 2630
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: Errors in the equo upgrade command.

Postby albfneto » Mon Sep 11, 2017 19:39

The HD is new, only 4 months.

I tried to correct filesystems with the "fsck" command, but the problem still continue.

Then i "seen" (without reinstalling) with RIGO that the packages entropy, equo and rigo should be reinstalled or upgraded....

I closed rigo, andi'm executing these commands:

Code: Select all
# equo i -av entropy equo rigo


Seems to working.... 58 packages upgrading....

I also seen (received am email) that two new strings are added for translation in Entropy's Transifex translations. Lxnay, or someone seems to worked in the code. I upgraded the Brazilian Portuguese Translation also....

Now, all seems to working good. Congratulations again! Sabayon still continue a great work! Remains for me the best Distro.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1788
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Errors in the equo upgrade command.

Postby albfneto » Mon Sep 11, 2017 22:05

seems to be almost all packages upgraded, however the package "serf" needed by thunar, cannot be upgraded....

examples... the package "chrome-binary-plugins" of the chromium browser, upgraded:

Code: Select all
sudo equo i chrome-binary-plugins
╠  @@ Calculando dependências...
╠  ## [U] [sabayonlinux.org] www-plugins/chrome-binary-plugins-61.0.3163.79|0   [60.0.3112.113|0]
╠  @@ Pacotes que precisam ser instalados/atualizados/rebaixados: 1
╠  @@ Pacotes que precisam ser removidos: 0
╠  @@ Tamanho de recebimento: 2.5MB
╠  @@ Espaço de disco usado: 448.6kB
╠  @@ Você precisa de pelo menos: 5.4MB de espaço livre
╠  ::: >>>  (1/1) 1 pacote
╠    ## Recebendo: 1 pacote
╠    ## ( mirror #1 ) [www-plugins:chrome-binary-plugins-61.0.3163.79.69787aef7dfbb8d9570b1a25538bb5cabbafb605~0.tbz2] @ http://sabayon.c3sl.ufpr.br
╠   ## Recebimento agregado: 1 ítem
╠    # [1] sabayon.c3sl.ufpr.br => www-plugins:chrome-binary-plugins-61.0.3163.79.69787aef7dfbb8d9570b1a25538bb5cabbafb605~0.tbz2
╠    ## Verificando a soma de checagem do pacote...
╠       : [www-plugins:chrome-binary-plugins-61.0.3163.79.69787aef7dfbb8d9570b1a25538bb5cabbafb605~0.tbz2] GPG Validado
╠       : SHA1 Desabilitado
╠       : [www-plugins:chrome-binary-plugins-61.0.3163.79.69787aef7dfbb8d9570b1a25538bb5cabbafb605~0.tbz2] SHA256 Validado
╠       : SHA512 Desabilitado
╠    ## ( mirror #1 ) [www-plugins:chrome-binary-plugins-61.0.3163.79.69787aef7dfbb8d9570b1a25538bb5cabbafb605~0.tbz2] sucesso @ http://sabayon.c3sl.ufpr.br
╠    ##  Taxa de transferência agregada média: 5.7MB/segundo
╠  +++ >>>  (1/1) www-plugins/chrome-binary-plugins-61.0.3163.79
╠    ## Desempacotando: www-plugins:chrome-binary-plugins-61.0.3163.79.69787aef7dfbb8d9570b1a25538bb5cabbafb605~0.tbz2
╠    ## Instalando pacote: www-plugins/chrome-binary-plugins-61.0.3163.79
╠    ## [Binary plugins from Google Chrome for use in Chromium]
╠    ## Atualizando repositório dos pacotes instalados: www-plugins/chrome-binary-plugins-61.0.3163.79
╠    ## Limpando dados do aplicativos anteriormente instalados
╠    ## Limpando: www-plugins/chrome-binary-plugins-61.0.3163.79
╠  @@ Instalação completa.


Installed, but with serf:


Code: Select all
sudo equo i serf╠  @@ Calculando dependências...
☢ Oi, sou o Repórter dos Bugs. Desculpe. Seu Programa travou. Bem, você sabe, aconteceu alguma merda... rs!
☢ Mas há algo que você poderia fazer para ajudar a me tornar uma aplicação melhor.
☢ -- POR FAVOR, NÃO REPORTE A MESMA COISA MAIS DE UMA VEZ--
☢ Agora estou mostrando o que acontece. Não entre em pânico, estou aqui para ajudá-lo.
Traceback (most recent call last):
  File "/usr/bin/equo", line 15, in <module>
    main()
  File "/usr/lib/entropy/client/solo/main.py", line 332, in main
    exit_st = func(*func_args)
  File "/usr/lib/entropy/client/solo/commands/command.py", line 435, in _call_shared
    return func(client)
  File "/usr/lib/entropy/client/solo/commands/install.py", line 192, in _install
    relaxed, multifetch, packages)
  File "/usr/lib/entropy/client/solo/commands/install.py", line 540, in _install_action
    onlydeps, bdeps, recursive)
  File "/usr/lib/entropy/client/solo/commands/_manage.py", line 489, in _generate_install_queue
    only_deps=onlydeps)
  File "/usr/lib/entropy/lib/entropy/client/misc.py", line 38, in wrapped
    return method(self, *args, **kwargs)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 3886, in get_install_queue
    build_deps = build, quiet = quiet, recursive = recursive)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 2267, in _get_required_packages
    ldpaths = ldpaths
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1464, in _generate_dependency_tree
    build_deps, elements_cache, ldpaths)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1100, in __generate_dependency_tree_inst_hooks
    pkg_match, installed_match[0], ldpaths)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1913, in _lookup_library_breakages
    installed_package_id, client_side)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 2065, in _lookup_library_breakages_installed
    needed, elfclass = elfclass)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 4228, in searchNeeded
    return self._cur2frozenset(cur)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 899, in _cur2frozenset
    for x in cur:
  File "/usr/lib/entropy/lib/entropy/db/sqlite.py", line 94, in next
    return self.wrap(self._cur.next)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 192, in wrap
    return self._proxy_call(method, *args, **kwargs)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 184, in _proxy_call
    raise DatabaseError(err)
DatabaseError: database disk image is malformed

Frame _proxy_call in /usr/lib/entropy/lib/entropy/db/sql.py at line 184
                   self = <entropy.db.sqlite.SQLiteCursorWrapper object at 0x7fba1535d550>
                   args = ()
                 method = <method-wrapper 'next' of sqlite3.Cursor object at 0x7fba1f1e3030>
                    err = DatabaseError('database disk image is malformed',)
                 kwargs = {}

Envie o erro com alguma informação adicional
 sôbre seu hardware, para que meus criadores possam verificar (Seu IP será identificado)
  [Sim/Não] nInterrompido.
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/entropy/client/solo/main.py", line 167, in handle_exception
    rc = _text.ask_question(ask_msg)
  File "/usr/lib/entropy/lib/entropy/output.py", line 815, in ask_question
    raise KeyboardInterrupt()
KeyboardInterrupt

Original exception was:
Traceback (most recent call last):
  File "/usr/bin/equo", line 15, in <module>
    main()
  File "/usr/lib/entropy/client/solo/main.py", line 332, in main
    exit_st = func(*func_args)
  File "/usr/lib/entropy/client/solo/commands/command.py", line 435, in _call_shared
    return func(client)
  File "/usr/lib/entropy/client/solo/commands/install.py", line 192, in _install
    relaxed, multifetch, packages)
  File "/usr/lib/entropy/client/solo/commands/install.py", line 540, in _install_action
    onlydeps, bdeps, recursive)
  File "/usr/lib/entropy/client/solo/commands/_manage.py", line 489, in _generate_install_queue
    only_deps=onlydeps)
  File "/usr/lib/entropy/lib/entropy/client/misc.py", line 38, in wrapped
    return method(self, *args, **kwargs)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 3886, in get_install_queue
    build_deps = build, quiet = quiet, recursive = recursive)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 2267, in _get_required_packages
    ldpaths = ldpaths
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1464, in _generate_dependency_tree
    build_deps, elements_cache, ldpaths)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1100, in __generate_dependency_tree_inst_hooks
    pkg_match, installed_match[0], ldpaths)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 1913, in _lookup_library_breakages
    installed_package_id, client_side)
  File "/usr/lib/entropy/lib/entropy/client/interfaces/dep.py", line 2065, in _lookup_library_breakages_installed
    needed, elfclass = elfclass)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 4228, in searchNeeded
    return self._cur2frozenset(cur)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 899, in _cur2frozenset
    for x in cur:
  File "/usr/lib/entropy/lib/entropy/db/sqlite.py", line 94, in next
    return self.wrap(self._cur.next)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 192, in wrap
    return self._proxy_call(method, *args, **kwargs)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 184, in _proxy_call
    raise DatabaseError(err)
entropy.db.exceptions.DatabaseError: database disk image is malformed


SERF is now the only outdated package.....not upgrading.... after masking "serf":

Code: Select all
# equo mask serf


then, the command "# equo u -p" gives normal behaviour!

Code: Select all
# sudo equo u -p
╠  @@ Calculando Atualizações de Sistema:
╠  @@ 0 => Atualizar pacotes correspondentes
╠  @@ 37 => Pacotes correspondentes não estão disponíveis
╠  @@ 2317 => Pacotes correspondentes já estão atualizados
╠  @@ Nada para atualizar.


Resuming.... No outdated packages.... exception is "SERF"

seems to me that only the package called "serf", this is causing the problem..., because, if it masked in entropy,

Entropy have normal behaviour.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1788
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Errors in the equo upgrade command.

Postby Stupot » Wed Sep 13, 2017 5:14

Again, when you tried to install serf, you got this:

entropy.db.exceptions.DatabaseError: database disk image is malformed

Can you try to do a: equo up --force and see if that helps?
Stupot
Sagely Hen
 
Posts: 1602
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: Errors in the equo upgrade command [Solved]

Postby albfneto » Mon Oct 02, 2017 19:39

in their last version, the package serf gives the same issue.

Only if i mask or remove the package serf (without deps, equo rm --nodeps serf), then equo up and equo u working.

But, if Database is corrupted, this old command can be used?

https://judepereira.com/blog/restore-broken-package-db-on-sabayon/
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1788
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Errors in the equo upgrade command

Postby albfneto » Tue Oct 10, 2017 23:08

command equo rescue check results in:

Code: Select all
sudo equo rescue check
Senha:
☛ Erro de Repositório: sqlite3 reports database being corrupted
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1788
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Errors in the equo upgrade command

Postby sabayonino » Wed Oct 11, 2017 11:34

try to remove equo.db file from /var/lib/entropy/client/database/amd64 and/or all folder contents
then force the update
User avatar
sabayonino
Sagely Hen
 
Posts: 2968
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: Errors in the equo upgrade command

Postby albfneto » Mon Oct 16, 2017 20:17

I tried you procedure....
"equo up" well, but "equo u", both "-p" as "-av" options...
after upgraded near 30-40 files, then, the command "equo u" aborted and the same error message, "database malformed"

Code: Select all
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/entropy/client/solo/main.py", line 167, in handle_exception
    rc = _text.ask_question(ask_msg)
  File "/usr/lib/entropy/lib/entropy/output.py", line 815, in ask_question
    raise KeyboardInterrupt()
KeyboardInterrupt

Original exception was:
Traceback (most recent call last):
  File "/usr/bin/equo", line 15, in <module>
    main()
  File "/usr/lib/entropy/client/solo/main.py", line 332, in main
    exit_st = func(*func_args)
  File "/usr/lib/entropy/client/solo/commands/command.py", line 435, in _call_shared
    return func(client)
  File "/usr/lib/entropy/client/solo/commands/upgrade.py", line 186, in _upgrade
    relaxed, multifetch)
  File "/usr/lib/entropy/client/solo/commands/upgrade.py", line 250, in _upgrade_action
    package_matches=update)
  File "/usr/lib/entropy/client/solo/commands/install.py", line 551, in _install_action
    run_queue, removal_queue, ask, pretend, quiet, verbose)
  File "/usr/lib/entropy/client/solo/commands/install.py", line 272, in _show_install_queue
    inst_pkg_id)
  File "/usr/lib/entropy/lib/entropy/db/sqlite.py", line 2292, in getInstalledPackageRepository
    cached = dict(cur)
  File "/usr/lib/entropy/lib/entropy/db/sqlite.py", line 94, in next
    return self.wrap(self._cur.next)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 192, in wrap
    return self._proxy_call(method, *args, **kwargs)
  File "/usr/lib/entropy/lib/entropy/db/sql.py", line 184, in _proxy_call
    raise DatabaseError(err)
entropy.db.exceptions.DatabaseError: database disk image is malformed


ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1788
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Errors in the equo upgrade command

Postby joost » Mon Oct 16, 2017 23:03

Code: Select all
entropy.db.exceptions.DatabaseError: database disk image is malformed


You better fix your hardware and reinstall.
joost
Sagely Hen
 
Posts: 2630
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Next

Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests